function FormTraining_Testing_SetFaceExpression(folderName,Mtrain,doFolderTransfer,doRFC_Transfer, continuous, trial)

checkWord = 'JSM_Face_Recognition';
currentPath = pwd;
checkPath = currentPath(end-19:end);

if ~strcmp(checkPath,checkWord)
    error('Please cd to the correct directory before running the program... cd...\JSM_Face_Recognition');
end

if nargin < 3
    doFolderTransfer = 0;
    doRFC_Transfer = 0;
    continuous = 0;
end

savepwd = pwd;

RootDataBasePath = 'C:\Personal\Work Research\faceExpressionDatabase\';
FormDataBase = 'C:\Personal\Work Research\faceExpressionDatabase2\'

fname = dir(strcat(RootDataBasePath,'*.bmp'));

if doFolderTransfer
    cd(FormDataBase)
    for i=1:13
        ClassF = sprintf('Class%d',i);
        mkdir(ClassF);
    end

    for class=1:13
        pickImages = 1:75;
        pickImages = pickImages + (class-1)*75;
        for i=1:75
            SourcePath = strcat(RootDataBasePath,fname(pickImages(i)).name);
            fname(pickImages(i)).name
            DestinationPath = strcat(FormDataBase,sprintf('Class%d',class),'\',fname(pickImages(i)).name);
            copyfile(SourcePath,DestinationPath);
        end
    end  
end
  
cd(savepwd);

RootTrainingPath = strcat(pwd,'\Database_Training_Image_MATLAB_Files\Statistics\',folderName,'\');
DataBaseRoot = FormDataBase;
RootTestImagePath = strcat(pwd,'\TestSet_Database\Statistics\');
RootTestImagePath = strcat(RootTestImagePath,folderName,'\');
    
try
    cd(RootTrainingPath);
catch
    cd(strcat(pwd,'\Database_Training_Image_MATLAB_Files\','Statistics\'));
    mkdir(folderName);
    cd(savepwd);
end

try
    cd(RootTestImagePath);
catch
    cd(strcat(pwd,'\TestSet_Database\Statistics\'));
    mkdir(folderName);
    cd(savepwd);
end

cd(strcat(RootTrainingPath));
mkdir Face_Database;
mkdir JSM_data;
mkdir RandomMatrix;

M_sum = 75;
Mtest = M_sum-Mtrain;
T = 75;
M = Mtrain;

if (~continuous)
    [trainImage testImage] = RandomSelector(Mtrain,'Expression',trial);
else
    randImage = randperm(T);
    rand1 = randImage(1);
    if ((rand1+Mtrain) > 75)
        stop = 0;
        counter = 0;
        while ((~stop) && (counter < 20))
            randImage = randperm(T);
            rand1 = randImage(1);
            if ((rand1+Mtrain) < 75)
                stop = 1;
            end
            counter = counter + 1;
        end
        if(counter>=20)
            rand1 = 1;
        end
    end
    
    trainImage(1:Mtrain) = rand1:Mtrain+rand1-1;
    k=1;
    for i=1:75-Mtrain
        if( (~isempty(find(randImage(k) < rand1))) || (~isempty(find(randImage(k) > rand1+Mtrain)) ))
            randImage1(i) =  randImage(k);
        end
        k = k+1;
    end
    testImage(1:Mtest) = randImage1(1:Mtest);    
end

if 1
cd(strcat(RootTrainingPath,'Face_Database'));
for i=1:13
    ClassF = sprintf('ImageClass_%d',i);
    mkdir(ClassF);
end

%cd(strcat(RootTrainingPath,'Face_Database'));
%load ImageSetSelect;

cd(strcat(RootTrainingPath,'JSM_data'));
for i=1:13
    ClassF = sprintf('ImageClass_%d',i);
    mkdir(ClassF);
end


if 1
for i=1:13
    Class_Database_Path = strcat(DataBaseRoot,'class',sprintf('%d',i),'\');
    Image = dir(strcat(Class_Database_Path,'*.jpg'));
            
    for j=1:M
        SourceImagePath = strcat(Class_Database_Path,Image(trainImage(j)).name);
        DestinationImagePath = strcat(RootTrainingPath,'Face_Database\',sprintf('ImageClass_%d',i),'\',Image(trainImage(j)).name);
        x1 = imread(SourceImagePath);
        x2 = x1;
        x2 = imresize(x1,.5);
        imwrite(x2,DestinationImagePath);
        %        copyfile(SourceImagePath,DestinationImagePath);
    end
end

cd(strcat(RootTrainingPath,'Face_Database'));
save ImageSetSelect trainImage testImage;

end
end

cd(strcat(RootTrainingPath,'Face_Database'));
load ImageSetSelect trainImage testImage;

for i=1:13
    Class_Database_Path = strcat(DataBaseRoot,'class',sprintf('%d',i),'\');
    Image = dir(strcat(Class_Database_Path,'*.jpg'));

    for j=1:Mtest
        SourceImagePath = strcat(Class_Database_Path,Image(testImage(j)).name);
        DestinationImagePath = strcat(RootTestImagePath,Image(testImage(j)).name);
        x1 = imread(SourceImagePath);
        x2 = x1;
        x2 = imresize(x1,.5);
        imwrite(x2,DestinationImagePath);
        %        copyfile(SourceImagePath,DestinationImagePath);
    end
end

cd(savepwd);

if(doRFC_Transfer)

    RootTrainingPath = strcat(pwd,'\Database_Training_Image_MATLAB_Files\Statistics\',folderName,'\');
    DataBaseRoot = FormDataBase;
    RootTestImagePath = strcat(pwd,'\TestSet_Database\Statistics\');
    RootTestImagePath = strcat(RootTestImagePath,folderName,'\');

    checkWord = 'Robust_Face_Recognition';
    currentPath = savepwd;
    destPath = currentPath(end-19:end);
    destPath = 'C:\Personal\Work Research\Computer Vision\Working_Fall_2008\Robust_Face_Recognition'

    RootTrainingPath1 = strcat(destPath,'\Database_Training_Image_MATLAB_Files\Statistics\',folderName,'\');
    DataBaseRoot1 = FormDataBase;
    RootTestImagePath1 = strcat(destPath,'\TestSet_Database\Statistics\');
    cd(RootTestImagePath1);
    mkdir(folderName)
    RootTestImagePath1 = strcat(RootTestImagePath1,folderName,'\');

    cd(RootTestImagePath1);
    mkdir(folderName)

    try
        cd(RootTrainingPath1);
    catch
        cd(strcat(destPath,'\Database_Training_Image_MATLAB_Files\','Statistics\'));
        mkdir(folderName);
        cd(savepwd);
    end

    try
        cd(RootTestImagePath1);
    catch
        cd(strcat(pwd,'\TestSet_Database\Statistics\'));
        mkdir(folderName);
        cd(savepwd);
    end

    cd(RootTrainingPath1);
    mkdir Face_Database;
    
    RootTrainingPath1 = strcat(RootTrainingPath1,'\Face_Database');
    RootTrainingPath = strcat(RootTrainingPath,'\Face_Database');
    copyfile(RootTrainingPath,RootTrainingPath1);
    
    copyfile(RootTestImagePath,RootTestImagePath1);
end
    