function Form_Set_JAFFEMultipleM(Opts)

folderName = Opts.folderName;
MtrainAll = Opts.Mtrain;
continuous = Opts.continuous;

checkWord = 'JSM_Face_Recognition';
currentPath = pwd;
checkPath = currentPath(end-19:end);
NumClasses = 10;
im_resize_factor = Opts.im_size/64;

if(Opts.is_predefined_select ==1)
load('ImageSetSelectJAFFE.mat');
end

if ~strcmp(checkPath,checkWord)
    error('Please cd to the correct directory before running the program... cd...\JSM_Face_Recognition');
end

savepwd = pwd;

RootTrainingPath = strcat(pwd,'\Database_Training_Image_MATLAB_Files\',folderName,'\');
DataBaseRoot = 'D:\Pradeep\JAFFE Database\';
RootTestImagePath = strcat(pwd,'\TestSet_Database\');
RootTestImagePath = strcat(RootTestImagePath,folderName,'\');

try
    cd(RootTrainingPath);
catch
    cd(strcat(pwd,'\Database_Training_Image_MATLAB_Files\'));
    mkdir(folderName);
    cd(savepwd);
end

try
    cd(RootTestImagePath);
catch
    cd(strcat(pwd,'\TestSet_Database\'));
    mkdir(folderName);
    cd(savepwd);
end

cd(strcat(RootTrainingPath));
mkdir Face_Database;
mkdir JSM_data;
mkdir RandomMatrix;

M_sum = 19;
MtestAll = M_sum.*ones(1,10)-MtrainAll;
T = [23, 22, 22, 20 , 21, 21, 20, 21, 19, 20];

trainImage = [];
testImage = [];
randN = [];

if(Opts.is_predefined_select ==1)
    imSelect_savePath = strcat(currentPath,'\','ImageSetSelectJAFFE.mat');
    load(imSelect_savePath,'randN');
    cur_len = 1;
end

for i=1:NumClasses
    Mtrain = MtrainAll(i);
    Mtest = MtestAll(i);
   
    if(Opts.is_predefined_select ==0)
        eval(sprintf('randImage%d = randperm(T(i));',i));
        eval(strcat(sprintf('trainImage%d(1:Mtrain) =',i), sprintf('randImage%d(1:Mtrain);',i)));
        eval(strcat(sprintf('testImage%d(1:Mtest) =',i), sprintf('randImage%d(Mtrain+1:Mtrain+Mtest);',i)));
        eval(strcat('ImSelect = ',sprintf('trainImage%d',i)));
        randN = [randN eval(sprintf('randImage%d',i))];
    else
        eval(sprintf('randImage%d = randN(cur_len:cur_len+T(i)-1);',i));
        eval(strcat(sprintf('trainImage%d(1:Mtrain) =',i), sprintf('randImage%d(1:Mtrain);',i)));
        eval(strcat(sprintf('testImage%d(1:Mtest) =',i), sprintf('randImage%d(Mtrain+1:Mtrain+Mtest);',i)));
        cur_len = cur_len+1;
    end
end

if(Opts.is_predefined_select ==0)
    imSelect_savePath = strcat(currentPath,'\','ImageSetSelectJAFFE.mat'); 
    save(imSelect_savePath,'randN');
end


for class=1:NumClasses
    Mtrain = MtrainAll(class);
    Mtest = MtestAll(class);
    randImage = randperm(T(class));
    trainImage(1:Mtrain,class) = randImage(1:Mtrain);
    testImage(1:Mtest,class) = randImage(Mtrain+1:Mtrain+Mtest);
end

if 1
if 1
    cd(strcat(RootTrainingPath,'Face_Database'));
    for i=1:NumClasses
        ClassF = sprintf('ImageClass_%d',i);
        mkdir(ClassF);
    end


%cd(strcat(RootTrainingPath,'Face_Database'));
%load ImageSetSelect;

    cd(strcat(RootTrainingPath,'JSM_data'));
    for i=1:NumClasses
        ClassF = sprintf('ImageClass_%d',i);
        mkdir(ClassF);
    end


if 1
    for i=1:NumClasses
        Class_Database_Path = strcat(DataBaseRoot,sprintf('Class_%d',i),'\');
        Image = dir(strcat(Class_Database_Path,'*.jpg'));
        size(Image);
        Mtrain = MtrainAll(i);
        Mtest = MtestAll(i);
        eval(strcat(sprintf('trainImage%d(1:Mtrain) =',i), sprintf('randImage%d(1:Mtrain);',i)));
        eval(strcat(sprintf('testImage%d(1:Mtest) =',i), sprintf('randImage%d(Mtrain+1:Mtrain+Mtest);',i)));
        eval(strcat('ImSelect = ',sprintf('trainImage%d',i)));
        for j=1:Mtrain

            SourceImagePath = strcat(Class_Database_Path,Image(ImSelect(j)).name);
            Im = imread(SourceImagePath);
            h = lp(11,1/3);
            Im = imfilter(Im,h,'same');
            Im1 = imresize(Im,im_resize_factor,'bilinear');
            str = Image(ImSelect(j)).name;
            str(end-3:end) = '.jpg'; 
            DestinationImagePath = strcat(RootTrainingPath,'Face_Database\',sprintf('ImageClass_%d',i),'\',str);
            imwrite(Im1,DestinationImagePath,'jpeg');
        end
    end

    cd(strcat(RootTrainingPath,'Face_Database'));
    save ImageSetSelect randImage*;

end
end

end

%cd(strcat(RootTrainingPath,'Face_Database'));
%load ImageSetSelect trainImage testImage;

for i=1:NumClasses
    Class_Database_Path = strcat(DataBaseRoot,sprintf('Class_%d',i),'\');
    Image = dir(strcat(Class_Database_Path,'*.jpg'));
    Mtrain = MtrainAll(i);
    Mtest = MtestAll(i);

    eval(strcat('ImSelect =',sprintf('testImage%d',i)));
    for j=1:Mtest
        j
        SourceImagePath = strcat(Class_Database_Path,Image(ImSelect(j)).name);
        Im = imread(SourceImagePath);
        h = lp(11,1/3);
        Im = imfilter(Im,h,'same');
        Im1 = imresize(Im,im_resize_factor,'bilinear');
        str = Image(ImSelect(j)).name;
        str(end-3:end) = '.jpg'; 
        DestinationImagePath = strcat(RootTestImagePath,str);
        imwrite(Im1,DestinationImagePath,'jpeg');
    end
end

cd(savepwd);

folderName = Opts.folderName2;
MtrainAll = Opts.Mtrain;
continuous = Opts.continuous;
checkWord = 'JSM_Face_Recognition';
currentPath = pwd;
checkPath = currentPath(end-19:end);
NumClasses = 10;
im_resize_factor = Opts.im_size2/64;
checkWord = 'JSM_Face_Recognition';
currentPath = pwd;
checkPath = currentPath(end-19:end);
NumClasses = 10;

i

if(Opts.is_predefined_select ==1)
load('ImageSetSelectJAFFE.mat');
end

if ~strcmp(checkPath,checkWord)
    error('Please cd to the correct directory before running the program... cd...\JSM_Face_Recognition');
end

savepwd = pwd;

RootTrainingPath = strcat(pwd,'\Database_Training_Image_MATLAB_Files\',folderName,'\');
DataBaseRoot = 'D:\Pradeep\JAFFE Database\';
RootTestImagePath = strcat(pwd,'\TestSet_Database\');
RootTestImagePath = strcat(RootTestImagePath,folderName,'\');

try
    cd(RootTrainingPath);
catch
    cd(strcat(pwd,'\Database_Training_Image_MATLAB_Files\'));
    mkdir(folderName);
    cd(savepwd);
end

try
    cd(RootTestImagePath);
catch
    cd(strcat(pwd,'\TestSet_Database\'));
    mkdir(folderName);
    cd(savepwd);
end

cd(strcat(RootTrainingPath));
mkdir Face_Database;
mkdir JSM_data;
mkdir RandomMatrix;

M_sum = 19;
MtestAll = M_sum.*ones(1,10)-MtrainAll;
T = [23, 22, 22, 20 , 21, 21, 20, 21, 19, 20];

if 1
if 1
    cd(strcat(RootTrainingPath,'Face_Database'));
    for i=1:NumClasses
        ClassF = sprintf('ImageClass_%d',i);
        mkdir(ClassF);
    end


%cd(strcat(RootTrainingPath,'Face_Database'));
%load ImageSetSelect;

    cd(strcat(RootTrainingPath,'JSM_data'));
    for i=1:NumClasses
        ClassF = sprintf('ImageClass_%d',i);
        mkdir(ClassF);
    end


if 1
    for i=1:NumClasses
        Class_Database_Path = strcat(DataBaseRoot,sprintf('Class_%d',i),'\');
        Image = dir(strcat(Class_Database_Path,'*.jpg'));
        size(Image);
        Mtrain = MtrainAll(i);
        Mtest = MtestAll(i);
        eval(strcat(sprintf('trainImage%d(1:Mtrain) =',i), sprintf('randImage%d(1:Mtrain);',i)));
        eval(strcat(sprintf('testImage%d(1:Mtest) =',i), sprintf('randImage%d(Mtrain+1:Mtrain+Mtest);',i)));
        eval(strcat('ImSelect = ',sprintf('trainImage%d',i)));
        for j=1:Mtrain

            SourceImagePath = strcat(Class_Database_Path,Image(ImSelect(j)).name);
            Im = imread(SourceImagePath);
            h = lp(11,1/3);
            Im = imfilter(Im,h,'same');
            Im1 = imresize(Im,im_resize_factor,'bilinear');
            str = Image(ImSelect(j)).name;
            str(end-3:end) = '.jpg'; 
            DestinationImagePath = strcat(RootTrainingPath,'Face_Database\',sprintf('ImageClass_%d',i),'\',str);
            imwrite(Im1,DestinationImagePath,'jpeg');
        end
    end

    cd(strcat(RootTrainingPath,'Face_Database'));
    save ImageSetSelect randImage*;

end
end

end

%cd(strcat(RootTrainingPath,'Face_Database'));
%load ImageSetSelect trainImage testImage;

for i=1:NumClasses
    Class_Database_Path = strcat(DataBaseRoot,sprintf('Class_%d',i),'\');
    Image = dir(strcat(Class_Database_Path,'*.jpg'));
    Mtrain = MtrainAll(i);
    Mtest = MtestAll(i);

    eval(strcat('ImSelect =',sprintf('testImage%d',i)));
    for j=1:Mtest
        j
        SourceImagePath = strcat(Class_Database_Path,Image(ImSelect(j)).name);
        Im = imread(SourceImagePath);
        h = lp(11,1/3);
        Im = imfilter(Im,h,'same');
        Im1 = imresize(Im,im_resize_factor,'bilinear');
        str = Image(ImSelect(j)).name;
        str(end-3:end) = '.jpg'; 
        DestinationImagePath = strcat(RootTestImagePath,str);
        imwrite(Im1,DestinationImagePath,'jpeg');
    end
end

cd(savepwd);
