function Form_Set_JAFFEMultipleM_Same(Opts)

folderName = Opts.folderName;
MtrainAll = Opts.Mtrain*ones(1,10);
continuous = Opts.continuous;
im_resize_value = (Opts.im_size)/64;
is_predefined_select = Opts.is_predefined_select;

if (is_predefined_select)
    im_select_path = Opts.im_select_path;
    load(im_select_path);
end

checkWord = 'JSM_Face_Recognition';
currentPath = pwd;
checkPath = currentPath(end-19:end);
NumClasses = 10;

if ~strcmp(checkPath,checkWord)
    error('Please cd to the correct directory before running the program... cd...\JSM_Face_Recognition');
end

savepwd = pwd;

RootTrainingPath = strcat(pwd,'\Database_Training_Image_MATLAB_Files\',folderName,'\');
DataBaseRoot = 'C:\Personal\Work Research\JAFFE Database\';
RootTestImagePath = strcat(pwd,'\TestSet_Database\');
RootTestImagePath = strcat(RootTestImagePath,folderName,'\');

try
    cd(RootTrainingPath);
    cd(savepwd);
catch
    cd(strcat(pwd,'\Database_Training_Image_MATLAB_Files\'));
    mkdir(folderName);
    cd(savepwd);
end

try
    cd(RootTestImagePath);
    cd(savepwd);
catch
    cd(strcat(pwd,'\TestSet_Database\'));
    mkdir(folderName);
    cd(savepwd);
end

cd(strcat(RootTrainingPath));
mkdir Face_Database;
mkdir JSM_data;
mkdir RandomMatrix;

M_sum = 19;
MtestAll = M_sum.*ones(1,10)-MtrainAll;
T = [23, 22, 22, 20 , 21, 21, 20, 21, 19, 20];

trainImage = [];
testImage = [];

cd(strcat(RootTrainingPath,'Face_Database'));
for i=1:NumClasses
    ClassF = sprintf('ImageClass_%d',i);
    mkdir(ClassF);
end

cd(strcat(RootTrainingPath,'JSM_data'));
for i=1:NumClasses
    ClassF = sprintf('ImageClass_%d',i);
    mkdir(ClassF);
end

for i=1:NumClasses
    Class_Database_Path = strcat(DataBaseRoot,sprintf('Class_%d',i),'\');
    Image = dir(strcat(Class_Database_Path,'*.jpg'));
    size(Image)
    Mtrain = MtrainAll;
    Mtest = MtestAll;
    eval(strcat(sprintf('trainImage%d(1:Mtrain) =',i), sprintf('randImage%d(1:Mtrain);',i)));
    eval(strcat(sprintf('testImage%d(1:Mtest) =',i), sprintf('randImage%d(Mtrain+1:Mtrain+Mtest);',i)));
    eval(strcat('ImSelect = ',sprintf('trainImage%d',i)));

    for j=1:Mtrain

        SourceImagePath = strcat(Class_Database_Path,Image(ImSelect(j)).name);
        Im = imread(SourceImagePath);
        Im1 = imresize(Im,im_resize_value,'bilinear');
        str = Image(ImSelect(j)).name;
        str(end-3:end) = '.jpg'; 
        DestinationImagePath = strcat(RootTrainingPath,'Face_Database\',sprintf('ImageClass_%d',i),'\',str);
        imwrite(Im1,DestinationImagePath,'jpeg');
    end
end

cd(strcat(RootTrainingPath,'Face_Database'));
save ImageSetSelect randImage*;

for i=1:NumClasses
    Class_Database_Path = strcat(DataBaseRoot,sprintf('Class_%d',i),'\');
    Image = dir(strcat(Class_Database_Path,'*.jpg'));
    Mtrain = MtrainAll(i);
    Mtest = MtestAll(i);

    eval(strcat('ImSelect =',sprintf('testImage%d',i)));
    for j=1:Mtest
        j
        SourceImagePath = strcat(Class_Database_Path,Image(ImSelect(j)).name);
        Im = imread(SourceImagePath);
        Im1 = imresize(Im,im_resize_value,'bilinear');
        str = Image(ImSelect(j)).name;
        str(end-3:end) = '.jpg'; 
        DestinationImagePath = strcat(RootTestImagePath,str);
        imwrite(Im1,DestinationImagePath,'jpeg');
    end
end

cd(savepwd);